using System;
using System.Data;
using System.Windows.Forms;

class Program
{
    static void Main()
    {
        DateTime operationTimeA = new DateTime(2008, 2, 1, 15, 0, 0);
        DateTime operationTimeB = new DateTime(2008, 2, 2, 10, 0, 0);
        DateTime operationTimeC = new DateTime(2008, 2, 1, 8, 0, 0);
        DateTime operationTimeD = new DateTime(2008, 2, 1, 10, 0, 0);
        DateTime operationTimeE = new DateTime(2008, 2, 1, 8, 0, 0);

        DataTable table = new DataTable();
        table.Columns.Add("Task", typeof(MethodInvoker));
        table.Columns.Add("Date", typeof(DateTime));
        table.Rows.Add(new object[] { new MethodInvoker(Work1), operationTimeA });
        table.Rows.Add(new object[] { new MethodInvoker(Work2), operationTimeB });
        table.Rows.Add(new object[] { new MethodInvoker(Work3), operationTimeC });
        table.Rows.Add(new object[] { new MethodInvoker(Work4), operationTimeD });
        table.Rows.Add(new object[] { new MethodInvoker(Work5), operationTimeE });

        table.DefaultView.Sort = "Date";
        foreach (DataRowView rowView in table.DefaultView)
        {
            MethodInvoker method = (MethodInvoker)rowView.Row["Task"];
            DateTime dt = (DateTime)rowView.Row["Date"];
            Console.Write("{0:yyyy/MM/dd HH:mm:ss} => ", dt);
            method();
        }
        Console.ReadLine();
    }

    static void Work1() { Console.WriteLine("1"); }
    static void Work2() { Console.WriteLine("2"); }
    static void Work3() { Console.WriteLine("3"); }
    static void Work4() { Console.WriteLine("4"); }
    static void Work5() { Console.WriteLine("5"); }
}
